import { EventEmitter } from '../../stencil-public-runtime';
import { ChartType, DataModel, DiscoveryEvent } from '../../model/types';
import { Param } from '../../model/param';
export declare class DiscoveryDisplayComponent {
    result: DataModel | string;
    type: ChartType;
    options: Param | string;
    width: number;
    height: number;
    debug: boolean;
    unit: string;
    el: HTMLElement;
    draw: EventEmitter<void>;
    parsing: boolean;
    rendering: boolean;
    message: string;
    innerStyle: {
        [k: string]: string;
    };
    innerOptions: Param;
    private wrapper;
    private pngWrapper;
    private defOptions;
    private divider;
    private LOG;
    private timer;
    private fitties;
    private innerHeight;
    private initial;
    private gts;
    private chartOptions;
    updateRes(newValue: any): void;
    optionsUpdate(newValue: any, oldValue: any): void;
    discoveryEventHandler(event: CustomEvent<DiscoveryEvent>): void;
    resize(): Promise<void>;
    export(_type?: 'png' | 'svg'): Promise<string>;
    componentWillLoad(): void;
    componentDidLoad(): void;
    fitContent(): void;
    disconnectedCallback(): void;
    private convert;
    render(): any;
    private displayDuration;
    private generateStyle;
    private getClass;
}
