import { EventEmitter } from '../../stencil-public-runtime';
import { Param } from '../../model/param';
export declare class DiscoverySlider {
    debug: boolean;
    progress: boolean;
    disabled: boolean;
    options: Param | string;
    innerOptions: Param;
    valueChanged: EventEmitter<number>;
    startDrag: EventEmitter<void>;
    el: HTMLElement;
    private sliderDiv;
    private LOG;
    private slider;
    private divider;
    private innerValue;
    private defOptions;
    optionsUpdate(newValue: any, oldValue: any): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    setValue(value: number | number[]): Promise<void>;
    export(_type: 'png' | 'svg', bgColor: string): Promise<string>;
    render(): any;
    private getSliderOptions;
    private setChangeListener;
    private parseDate;
}
