export declare enum Colors {
    COHESIVE = "COHESIVE",
    COHESIVE_2 = "COHESIVE_2",
    BELIZE = "BELIZE",
    VIRIDIS = "VIRIDIS",
    MAGMA = "MAGMA",
    INFERNO = "INFERNO",
    PLASMA = "PLASMA",
    YL_OR_RD = "YL_OR_RD",
    YL_GN_BU = "YL_GN_BU",
    BU_GN = "BU_GN",
    WARP10 = "WARP10",
    NINETEEN_EIGHTY_FOUR = "NINETEEN_EIGHTY_FOUR",
    ATLANTIS = "ATLANTIS",
    DO_ANDROIDS_DREAM = "DO_ANDROIDS_DREAM",
    DELOREAN = "DELOREAN",
    CTHULHU = "CTHULHU",
    ECTOPLASM = "ECTOPLASM",
    T_MAX_400_FILM = "T_MAX_400_FILM",
    MATRIX = "MATRIX",
    CHARTANA = "CHARTANA",
    VINTAGE = "VINTAGE",
    CHALK = "CHALK"
}
export declare enum HeatMaps {
    COHESIVE = "COHESIVE",
    COHESIVE_2 = "COHESIVE_2",
    BELIZE = "BELIZE",
    VIRIDIS = "VIRIDIS",
    MAGMA = "MAGMA",
    INFERNO = "INFERNO",
    PLASMA = "PLASMA",
    YL_OR_RD = "YL_OR_RD",
    YL_GN_BU = "YL_GN_BU",
    BU_GN = "BU_GN",
    NINETEEN_EIGHTY_FOUR = "NINETEEN_EIGHTY_FOUR",
    ATLANTIS = "ATLANTIS",
    DO_ANDROIDS_DREAM = "DO_ANDROIDS_DREAM",
    DELOREAN = "DELOREAN",
    CTHULHU = "CTHULHU",
    ECTOPLASM = "ECTOPLASM",
    T_MAX_400_FILM = "T_MAX_400_FILM",
    MATRIX = "MATRIX",
    CHALK = "CHALK",
    VINTAGE = "VINTAGE",
    DEFAULT = "DEFAULT"
}
export declare class ColorLib {
    static color: {
        COHESIVE: string[];
        COHESIVE_2: string[];
        BELIZE: string[];
        VIRIDIS: string[];
        MAGMA: string[];
        INFERNO: string[];
        PLASMA: string[];
        YL_OR_RD: string[];
        YL_GN_BU: string[];
        BU_GN: string[];
        WARP10: string[];
        NINETEEN_EIGHTY_FOUR: string[];
        ATLANTIS: string[];
        DO_ANDROIDS_DREAM: string[];
        DELOREAN: string[];
        CTHULHU: string[];
        ECTOPLASM: string[];
        T_MAX_400_FILM: string[];
        MATRIX: string[];
        CHARTANA: string[];
        CHALK: string[];
        VINTAGE: string[];
    };
    static heatMaps: {
        COHESIVE: string[];
        COHESIVE_2: string[];
        VIRIDIS: string[];
        MAGMA: string[];
        INFERNO: string[];
        PLASMA: string[];
        YL_OR_RD: string[];
        YL_GN_BU: string[];
        BU_GN: string[];
        NINETEEN_EIGHTY_FOUR: string[];
        ATLANTIS: string[];
        DO_ANDROIDS_DREAM: string[];
        DELOREAN: string[];
        CTHULHU: string[];
        ECTOPLASM: string[];
        T_MAX_400_FILM: string[];
        MATRIX: string[];
        DEFAULT: string[];
    };
    static getHeatMap(scheme: string): any;
    static getColor(i: number, scheme: string | string[]): any;
    static sanitizeColor(color: string): any;
    static hexToRgb(hex: string): number[];
    static transparentize(color: string, alpha?: number): string;
    static hsvGradientFromRgbColors(c1: {
        r: number;
        g: number;
        b: number;
        h: any;
        s: any;
        v: any;
    }, c2: {
        r: number;
        g: number;
        b: number;
        h: any;
        s: any;
        v: any;
    }, steps: any): any[];
    private static rgb2hsv;
    private static hsvGradient;
    private static hsv2rgb;
    static rgb2hex(r: string | number, g: string | number, b: string | number): string;
}
