export { d as CHART_TYPES, C as ChartBounds, e as ColorLib, f as Colors, a as Dashboard, b as DataModel, D as Dataset, c as DiscoveryEvent, G as GTS, i as GTSLib, H as HeatMaps, J as JsonLib, L as Label, k as LangUtils, g as MapLib, M as MapParams, h as MapTypes, P as Param, j as PluginManager, T as Tile, U as Utils } from './PluginManager-e68e8b68.js';
export { L as Logger } from './logger-7b3179cb.js';

/*
 *   Copyright 2022-2025 SenX S.A.S.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
class PluginDef {
    constructor(def) {
        this.type = def.type;
        this.name = def.name;
        this.tag = def.tag;
        this.author = def.author;
        this.description = def.description;
        this.version = def.version;
        this.scriptWrapper = def.scriptWrapper;
    }
    toString() {
        return `${this.name}:${this.version} by ${this.author}`;
    }
}

/*
 *   Copyright 2022  SenX S.A.S.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
window.global = window;

export { PluginDef };

//# sourceMappingURL=index.js.map