import { EventEmitter } from '../../stencil-public-runtime';
import { ChartType, DataModel, DiscoveryEvent } from '../../model/types';
import { Param } from '../../model/param';
export declare class DiscoveryButtonComponent {
    result: DataModel | string;
    type: ChartType;
    options: Param | string;
    width: number;
    height: number;
    debug: boolean;
    url: string;
    language: 'warpscript' | 'flows';
    vars: string;
    el: HTMLElement;
    draw: EventEmitter<void>;
    execResult: EventEmitter<any[]>;
    execError: EventEmitter;
    statusError: EventEmitter;
    discoveryEvent: EventEmitter<DiscoveryEvent>;
    parsing: boolean;
    rendering: boolean;
    label: string;
    labelPosition: 'start' | 'end' | 'center';
    innerStyle: {
        [k: string]: string;
    };
    active: string;
    innerOptions: Param;
    loading: boolean;
    loadingBtnGrp: boolean[];
    private macros;
    private defOptions;
    private LOG;
    private root;
    private innerVars;
    private innerResult;
    varsUpdate(newValue: any, oldValue: any): void;
    updateRes(newValue: DataModel | string, oldValue: DataModel | string): void;
    optionsUpdate(newValue: any, oldValue: any): void;
    discoveryEventHandler(event: CustomEvent<DiscoveryEvent>): void;
    resize(): Promise<void>;
    export(_type?: 'png' | 'svg'): Promise<string>;
    componentWillLoad(): void;
    private parseResult;
    private handleClick;
    private toggle;
    private generateStyle;
    render(): any[];
    private isLoading;
}
