import { EventEmitter } from '../../stencil-public-runtime';
import { ChartType, DataModel } from '../../model/types';
import { Param } from '../../model/param';
export declare class DiscoveryHidden {
    result: DataModel | string;
    type: ChartType;
    options: Param | string;
    width: number;
    height: number;
    debug: boolean;
    unit: string;
    el: HTMLElement;
    draw: EventEmitter<void>;
    message: string;
    innerStyle: {
        [k: string]: string;
    };
    innerOptions: Param;
    private LOG;
    optionsUpdate(newValue: any, oldValue: any): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    resize(): Promise<void>;
    render(): any;
}
