import { EventEmitter } from '../../stencil-public-runtime';
import { ChartType, DataModel } from '../../model/types';
import { Param } from '../../model/param';
export declare class DiscoveryImageComponent {
    result: DataModel | string;
    type: ChartType;
    options: Param | string;
    width: number;
    height: number;
    debug: boolean;
    unit: string;
    el: HTMLElement;
    draw: EventEmitter<void>;
    parsing: boolean;
    toDisplay: string[];
    private defOptions;
    private LOG;
    private initial;
    updateRes(newValue: DataModel | string, oldValue: DataModel | string): void;
    componentWillLoad(): void;
    convert(data: DataModel): any[];
    export(_type?: 'png' | 'svg'): Promise<string[]>;
    render(): any;
}
