import { EventEmitter } from '../../../stencil-public-runtime';
export declare class DiscoveryInputChips {
    chips: string[];
    autocomplete: (_value: string) => Promise<any>;
    containsFn: (_value: string) => Promise<boolean>;
    constrain_input: boolean;
    fuzzy_search: boolean;
    chipDelimiters: string[];
    value: string;
    disabled: boolean;
    el: HTMLDiscoveryInputChipsElement;
    chipClick: EventEmitter;
    chipInput: EventEmitter<void>;
    chipChange: EventEmitter<string[]>;
    chipCreate: EventEmitter;
    private innerChips;
    private change_handler_enabled;
    private autocomplete_debounce;
    private autocomplete_highlight;
    private boundClickHandler;
    private real_input;
    private real_input_handler;
    private show_autocomplete_on_focus;
    private highlighted_autocomplete_index;
    private autocomplete_select_default;
    private autocomplete_debounce_key;
    private caret_position_tracker;
    private autocomplete_dismiss_target;
    private autocompleteContainer;
    updateChips(): void;
    componentDidLoad(): void;
    handleAutocompleteContainerFocus(event: FocusEvent): void;
    private handleChipClose;
    handleDocumentClick(event: any): void;
    private handleChipClick;
    private handleInput;
    private handleBeforeInput;
    private handleChange;
    private handleKeydown;
    private highLightSelectedAutoCompleteItem;
    private updateCaretPosition;
    private closeAutoComplete;
    private deleteChip;
    private handleAutoCompleteItemSelected;
    private handleFocus;
    private showAutoComplete;
    private createChip;
    render(): any;
}
