import moment, { Duration } from 'moment/moment';
export declare class DTPickerOptions {
    startDate: moment.Moment;
    endDate: moment.Moment;
    minDate: moment.Moment;
    maxDate: moment.Moment;
    maxSpan: number | Duration | string;
    autoApply: boolean;
    singleDatePicker: boolean;
    showDropdowns: boolean;
    minYear: string;
    maxYear: string;
    showWeekNumbers: boolean;
    showISOWeekNumbers: boolean;
    showCustomRangeLabel: boolean;
    timePicker: boolean;
    timePicker24Hour: boolean;
    timePickerSeconds: boolean;
    linkedCalendars: boolean;
    autoUpdateInput: boolean;
    alwaysShowCalendars: boolean;
    timePickerIncrement: number;
    ranges: any;
    opens: string;
    drops: string;
    buttonClasses: string;
    applyButtonClasses: string;
    cancelButtonClasses: string;
    wrapperClasses: string;
    template?: string;
    parentEl?: HTMLElement;
    locale: {
        locale?: string;
        timeZone?: string;
        direction?: string;
        format?: string;
        separator?: string;
        applyLabel?: string;
        cancelLabel?: string;
        weekLabel?: string;
        customRangeLabel?: string;
        daysOfWeek?: string[];
        monthNames?: string[];
        firstDay?: number;
    };
    isInvalidDate?: () => void;
    isCustomDate?: () => void;
}
