import { EventEmitter } from '../../stencil-public-runtime';
import { ChartType, DataModel, DiscoveryEvent } from '../../model/types';
import { Param } from '../../model/param';
export declare class DiscoveryInputComponent {
    result: DataModel | string;
    type: ChartType;
    options: Param | string;
    width: number;
    height: number;
    debug: boolean;
    url: string;
    el: HTMLElement;
    draw: EventEmitter<void>;
    execResult: EventEmitter<any[]>;
    statusError: EventEmitter;
    discoveryEvent: EventEmitter<DiscoveryEvent>;
    parsing: boolean;
    rendering: boolean;
    value: string | number | number[] | string[] | any[];
    subType: 'list' | 'text' | 'textarea' | 'file' | 'secret' | 'number' | 'autocomplete' | 'slider' | 'date' | 'date-range' | 'multi' | 'multi-cb' | 'chips' | 'chips-autocomplete';
    innerStyle: {
        [k: string]: string;
    };
    innerResult: DataModel;
    label: string;
    selectedValue: any;
    values: any[];
    private defOptions;
    private innerOptions;
    private LOG;
    private inputField;
    private inputField2;
    private disabled;
    private delayTimer;
    private initialValues;
    private root;
    private autoCompleteJS;
    private checkBoxes;
    private pngWrapper;
    private innerStyles;
    private oldValue;
    private filter;
    discoveryEventHandler(event: CustomEvent<DiscoveryEvent>): void;
    updateRes(): void;
    optionsUpdate(newValue: any, oldValue: any): void;
    resize(): Promise<void>;
    export(type?: 'png' | 'svg'): Promise<string>;
    componentWillLoad(): void;
    componentDidLoad(): void;
    private handleClick;
    private handleClickRT;
    private generateStyle;
    private handleSelect;
    private readText;
    private toBase64;
    private parseResult;
    private selectAll;
    private selectNone;
    private handleFilter;
    private handleAutoComplete;
    private handleContains;
    private getClass;
    private getInput;
    render(): any[];
}
