import { EventEmitter } from '../../stencil-public-runtime';
import { Dashboard, DiscoveryEvent, Tile } from '../../model/types';
import { Param } from '../../model/param';
export declare class DiscoveryModalComponent {
    data: Tile | Dashboard;
    options: Param | string;
    url: string;
    debug: boolean;
    parentId: string;
    private tile;
    private dashboard;
    private showModal;
    discoveryEvent: EventEmitter<DiscoveryEvent>;
    private modal;
    private modalWrapper;
    private backDrop;
    private tileElem;
    private LOG;
    private title;
    handleKeyDown(ev: KeyboardEvent): void;
    optionsUpdate(newValue: string, oldValue: string): void;
    dataUpdate(newValue: string, oldValue: string): void;
    open(): Promise<void>;
    componentWillLoad(): void;
    private parseData;
    private resize;
    private closeModal;
    private closeModalViaBackDrop;
    render(): any;
}
