import { EventEmitter } from '../../stencil-public-runtime';
import { ChartType, DataModel, DiscoveryEvent } from '../../model/types';
import { Param } from '../../model/param';
export declare class DiscoverySvgComponent {
    result: DataModel | string;
    type: ChartType;
    start: number;
    options: Param | string;
    width: number;
    height: number;
    debug: boolean;
    unit: string;
    url: string;
    chartTitle: string;
    draw: EventEmitter<void>;
    discoveryEvent: EventEmitter<DiscoveryEvent>;
    el: HTMLElement;
    execTime: number;
    bgColor: string;
    fontColor: string;
    parsing: boolean;
    toDisplay: string[];
    innerStyle: {
        [k: string]: string;
    };
    innerResult: DataModel;
    innerOptions: Param;
    private LOG;
    private defOptions;
    private funqueue;
    private refs;
    private listenersAdded;
    updateRes(): void;
    optionsUpdate(newValue: any, oldValue: any): void;
    discoveryEventHandler(event: CustomEvent<DiscoveryEvent>): void;
    resize(): Promise<void>;
    componentWillLoad(): void;
    convert(data: DataModel): any[];
    private processEvent;
    private wrapFunction;
    private processQueue;
    private parseResult;
    private static isSVG;
    private sanitize;
    private triggerEvent;
    export(type?: 'png' | 'svg'): Promise<string | string[]>;
    private generateStyle;
    componentDidRender(): void;
    render(): any;
    private addHandlers;
}
