import { EventEmitter } from '../../../stencil-public-runtime';
import { Param } from '../../../model/param';
import { Dataset } from '../../../model/types';
export declare class DiscoveryPageable {
    debug: boolean;
    divider: number;
    data: Dataset;
    options: Param;
    params: Param[];
    elemsCount: number;
    windowed: number;
    dataPointOver: EventEmitter;
    dataPointSelected: EventEmitter;
    innerOptions: Param;
    private LOG;
    private page;
    private pages;
    private displayedValues;
    private sortAsc;
    private filters;
    private sortCol;
    private updateCounter;
    private filteredDataset;
    updateData(): void;
    optionsUpdate(newValue: any, oldValue: any): void;
    getData(): Promise<{
        data: any[];
        headers: string[];
    }>;
    componentWillLoad(): void;
    private goto;
    private next;
    private prev;
    private drawGridData;
    private static formatLabel;
    private setSelected;
    private setOver;
    private sort;
    private filter;
    private formatDate;
    private formatValue;
    render(): any;
    private getRowStyle;
    private getCellStyle;
    private getClasses;
    private getPagination;
}
