import { EventEmitter } from '../../stencil-public-runtime';
import { ChartType, DataModel, Dataset, DiscoveryEvent } from '../../model/types';
import { Param } from '../../model/param';
export declare class DiscoveryTabular {
    result: DataModel | string;
    type: ChartType;
    options: Param | string;
    width: number;
    height: number;
    debug: boolean;
    unit: string;
    el: HTMLElement;
    draw: EventEmitter<void>;
    dataPointOver: EventEmitter;
    dataPointSelected: EventEmitter;
    discoveryEvent: EventEmitter<DiscoveryEvent>;
    parsing: boolean;
    rendering: boolean;
    tabularData: Dataset[];
    private LOG;
    private divider;
    private pngWrapper;
    private params;
    private pageables;
    updateRes(): void;
    resize(): Promise<void>;
    export(_type?: 'png' | 'svg'): Promise<string>;
    componentWillLoad(): void;
    private static getHeaderParam;
    private handleDataPointOver;
    private handleDataPointSelected;
    private convert;
    private parseCustomData;
    private parseData;
    private addCSVHeader;
    private addPageable;
    private csvExport;
    render(): any[];
}
